Subject: bug#34996: 27.0.50; gnus-group-read-ephemeral-group is broken

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 26 Mar 2019 08:41:23 -0700

On 03/26/19 09:42 AM, Alex Branham wrote:
> On Tue 26 Mar 2019 at 09:00, Basil L. Contovounesios <[email-masked]> wrote:
>
>> Alex Branham <[email-masked]> writes:
>
>> I don't seem to be able to reproduce this on latest master (see revision
>> after my signature).  Here's what I tried:
>>
>> 0. HOME=$(mktemp -d) emacs -Q
>> 1. (setq gnus-select-method '(nnnil ""))
>>    C-j
>> 2. M-x gnus RET
>> 3. M-x gnus-read-ephemeral-emacs-bug-group RET 34671 RET
>>
>> Which revision of master are you on?  Are you able to provide a more
>> precise recipe?
>
> I'm on git revision 568af1e5822086f2457b6e98a22624b8138aa72f.
>
> emacs -q
> (require 'gnus-group)
> M-x gnus-read-ephemeral-emacs-bug-group RET 34671 RET
>
> is enough to trigger this. I can't reproduce with your recipe, although
> if I do "q" (quit gnus) "y" (confirm quitting) in between your steps 2
> and 3 then I can trigger it. As I said in another thread, I'm just
> getting started using gnus. Is gnus-read-ephemeral-emacs-bug-group not
> supposed to work if gnus isn't open?

I think it ought to work, yes. Would you try the attached patch and let
me know if it solves the problem?

Thanks,
Eric

diff --git a/lisp/gnus/gnus-group.el b/lisp/gnus/gnus-group.el
index 8c2411f4d9..bd24c3f8da 100644
--- a/lisp/gnus/gnus-group.el
+++ b/lisp/gnus/gnus-group.el
@@ -2283,7 +2283,8 @@ gnus-group-read-ephemeral-group
     (nnheader-init-server-buffer)
     ;; Necessary because of funky inlining.
     (require 'gnus-cache)
-    (setq gnus-newsrc-hashtb (gnus-make-hashtable 100)))
+    (setq gnus-newsrc-hashtb (gnus-make-hashtable 100)
+	  gnus-active-hashtb (gnus-make-hashtable 100)))
   ;; Transform the select method into a unique server.
   (when (stringp method)
     (setq method (gnus-server-to-method method)))